# # United States Postal Service unofficial Software Development Kit

Hecho en 🇵🇷 por Radamés J. Valentín Reyes

## Import:

```dart
import 'package:usps_sdk/usps_sdk.dart';
```

## SDK Functions

### Address Information
https://www.usps.com/business/web-tools-apis/address-information-api.pdf
- Verify
The Address/Standardization “Verify” API, which corrects errors in street addresses, including
abbreviations and missing information, and supplies ZIP Codes and ZIP Codes + 4. By eliminating address errors, you will improve overall package delivery service.
~~~dart
String response = await uspsSdk.validate(
  address1: "SUITE K",
  address2: "29851 Aventura",
  state: "CA",
  zip5: "92688",
 );
~~~
- ZIP Code Lookup API
The ZipCodeLookup API, which returns the ZIP Code and ZIP Code + 4 corresponding to the given
address, city, and state (use USPS state abbreviations).
~~~dart
String response = await uspsSdk.zipCodeLookupAPI(
  address1: "SUITE K",
  address2: "29851 Aventura",
  state: "CA",
  zip5: "92688",
);
~~~
- CityStateLookup API
City/State Lookup API returns the city and state corresponding to the given ZIP Code.
~~~dart
String response = await uspsSdk.cityStateLookup(
  zip5: 92688,
);
~~~
### Track and Confirm
https://www.usps.com/business/web-tools-apis/track-and-confirm-api.pdf
### Rate Calculator
https://www.usps.com/business/web-tools-apis/rate-calculator-api.pdf
### eVS Label(Shipping Label)
https://www.usps.com/business/web-tools-apis/evs-label-api.pdf
### Package Pickup
https://www.usps.com/business/web-tools-apis/package-pickup-api.pdf

# Donate
<a href="https://www.paypal.com/paypalme/onlinespawn"><img src="https://www.paypalobjects.com/webstatic/mktg/logo/pp_cc_mark_74x46.jpg"/></a>
# References
- https://www.usps.com/business/web-tools-apis/documentation-updates.htm